Bug 198396 - KDED crashed while cancelling several auth dialogs
Summary: KDED crashed while cancelling several auth dialogs
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: kpasswdserver (show other bugs)
Version: 4.3
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-30 09:52 UTC by Davide Ferrari
Modified: 2014-06-10 03:45 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Ferrari 2009-06-30 09:52:00 UTC
Application that crashed: kded4
Version of the application: $Id: kded.cpp 944898 2009-03-26 13:01:25Z dfaure $
KDE Version: 4.2.90 (KDE 4.2.90 (KDE 4.3 Beta2))
Qt Version: 4.5.1
Operating System: Linux 2.6.28-13-generic i686
Distribution: Ubuntu 9.04

What I was doing when the application crashed:
I received in Kopete several messages with a link to a web site with authorization and so several auth dialogs pop out (like 5-6). So I started to cancel them by pressing ESC key and after a while, boooom , kded crashed

 -- Backtrace:
Application: KDE Daemon (kdeinit), signal: Segmentation fault
[KCrash Handler]
#6  0xb7f0a10b in toLatin1_helper (data=0x9853a30, length=159726128) at tools/qstring.cpp:3292
#7  0xb7f0a1ef in QString::toLatin1 (this=0x985badc) at tools/qstring.cpp:3308
#8  0xb7f75bfb in QUrlPrivate::toEncoded (this=0x985bad8, options={i = -1080190944}) at io/qurl.cpp:3719
#9  0xb7f760ea in QUrl::toEncoded (this=0x9841f40, options={i = -1080190888}) at io/qurl.cpp:5354
#10 0xb7d0ec6c in KUrl::url (this=0x9841f40, trailing=KUrl::LeaveTrailingSlash) at /build/buildd/kde4libs-4.2.90/kdecore/io/kurl.cpp:998
#11 0xb7925f0b in KIO::operator<< (argument=@0xbf9d9968, a=@0x9841f40) at /build/buildd/kde4libs-4.2.90/kio/kio/authinfo.cpp:222
#12 0xb79291a4 in qDBusMarshallHelper<KIO::AuthInfo> (arg=@0xbf9d9968, t=0x9841f40) at /usr/include/qt4/QtDBus/qdbusmetatype.h:70
#13 0xb73aafe0 in QDBusMetaType::marshall (arg=@0xbf9d9968, id=283, data=0x9841f40) at qdbusmetatype.cpp:253
#14 0xb73a3abd in QDBusMarshaller::appendRegisteredType (this=0xbf9d9a8c, arg=@0x98307a0) at qdbusmarshaller.cpp:484
#15 0xb73a7441 in QDBusMarshaller::appendVariantInternal (this=0xbf9d9a8c, arg=@0x98307a0) at qdbusmarshaller.cpp:464
#16 0xb7380ab4 in QDBusMessagePrivate::toDBusMessage (message=@0xbf9d9b74) at qdbusmessage.cpp:156
#17 0xb7370168 in QDBusConnectionPrivate::relaySignal (this=0x93e8c68, obj=0x9403338, mo=0xb34d7dec, signalId=4, args=@0xbf9d9cf4) at qdbusintegrator.cpp:1152
#18 0xb73b18a5 in QDBusConnectionPrivate::qt_metacall (this=0x93e8c68, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbf9d9c80) at .moc/release-shared/moc_qdbusconnection_p.cpp:92
#19 0xb7fcda58 in QMetaObject::activate (sender=0x9500680, from_signal_index=6, to_signal_index=6, argv=0xbf9d9c80) at kernel/qobject.cpp:3120
#20 0xb7fce6e2 in QMetaObject::activate (sender=0x9500680, m=0xb73c7b84, local_signal_index=2, argv=0xbf9d9c80) at kernel/qobject.cpp:3194
#21 0xb7395935 in QDBusAdaptorConnector::relaySignal (this=0x9500680, _t1=0x9403338, _t2=0xb34d7dec, _t3=4, _t4=@0xbf9d9cf4) at qdbusabstractadaptor.cpp:377
#22 0xb7395b71 in QDBusAdaptorConnector::relay (this=0x9500680, senderObj=0x94d2288, lastSignalIdx=4, argv=0xbf9d9e20) at qdbusabstractadaptor.cpp:306
#23 0xb7395c2b in QDBusAdaptorConnector::relaySlot (this=0x9500680, argv=0xbf9d9e20) at qdbusabstractadaptor.cpp:268
#24 0xb73965ac in QDBusAdaptorConnector::qt_metacall (this=0x9500680, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbf9d9e20) at qdbusabstractadaptor.cpp:364
#25 0xb7fcda58 in QMetaObject::activate (sender=0x94d2288, from_signal_index=4, to_signal_index=4, argv=0xbf9d9e20) at kernel/qobject.cpp:3120
#26 0xb7fce6e2 in QMetaObject::activate (sender=0x94d2288, m=0xb34d7dec, local_signal_index=0, argv=0xbf9d9e20) at kernel/qobject.cpp:3194
#27 0xb34d4557 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#28 0xb34d4cb9 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#29 0xb7fcda58 in QMetaObject::activate (sender=0x9403338, from_signal_index=8, to_signal_index=8, argv=0xbf9da090) at kernel/qobject.cpp:3120
#30 0xb7fce6e2 in QMetaObject::activate (sender=0x9403338, m=0xb34d7c30, local_signal_index=0, argv=0xbf9da090) at kernel/qobject.cpp:3194
#31 0xb34cb687 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#32 0xb34d28c7 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#33 0xb34d3393 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#34 0xb7fcda58 in QMetaObject::activate (sender=0x967a2c8, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3120
#35 0xb7fce6e2 in QMetaObject::activate (sender=0x967a2c8, m=0xb80a9908, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
#36 0xb7fd2e57 in QSingleShotTimer::timeout (this=0x967a2c8) at .moc/release-shared/qtimer.moc:76
#37 0xb7fd2f7c in QSingleShotTimer::timerEvent (this=0x967a2c8) at kernel/qtimer.cpp:298
#38 0xb7fc7f0f in QObject::event (this=0x967a2c8, e=0xbf9da99c) at kernel/qobject.cpp:1082
#39 0xb6a52bcc in QApplicationPrivate::notify_helper (this=0x93fbe50, receiver=0x967a2c8, e=0xbf9da99c) at kernel/qapplication.cpp:4057
#40 0xb6a5aede in QApplication::notify (this=0xbf9def9c, receiver=0x967a2c8, e=0xbf9da99c) at kernel/qapplication.cpp:3604
#41 0xb758be8d in KApplication::notify (this=0xbf9def9c, receiver=0x967a2c8, event=0xbf9da99c) at /build/buildd/kde4libs-4.2.90/kdeui/kernel/kapplication.cpp:302
#42 0xb7fb77ab in QCoreApplication::notifyInternal (this=0xbf9def9c, receiver=0x967a2c8, event=0xbf9da99c) at kernel/qcoreapplication.cpp:610
#43 0xb7fe6b31 in QTimerInfoList::activateTimers (this=0x93fe89c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#44 0xb7fe3280 in timerSourceDispatch (source=0x93fe868) at kernel/qeventdispatcher_glib.cpp:164
#45 0xb6605b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#46 0xb66090eb in ?? () from /usr/lib/libglib-2.0.so.0
#47 0xb6609268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#48 0xb7fe31d8 in QEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080186088}) at kernel/qeventdispatcher_glib.cpp:324
#49 0xb6af4765 in QGuiEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080186040}) at kernel/qguieventdispatcher_glib.cpp:202
#50 0xb7fb5dda in QEventLoop::processEvents (this=0xbf9dabbc, flags={i = -1080185976}) at kernel/qeventloop.cpp:149
#51 0xb7fb621a in QEventLoop::exec (this=0xbf9dabbc, flags={i = -1080185916}) at kernel/qeventloop.cpp:200
#52 0xb6f70e13 in QDialog::exec (this=0xbf9dad68) at dialogs/qdialog.cpp:498
#53 0xb34d21b6 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#54 0xb34d3393 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#55 0xb7fcda58 in QMetaObject::activate (sender=0x984abc0, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3120
#56 0xb7fce6e2 in QMetaObject::activate (sender=0x984abc0, m=0xb80a9908, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
#57 0xb7fd2e57 in QSingleShotTimer::timeout (this=0x984abc0) at .moc/release-shared/qtimer.moc:76
#58 0xb7fd2f7c in QSingleShotTimer::timerEvent (this=0x984abc0) at kernel/qtimer.cpp:298
#59 0xb7fc7f0f in QObject::event (this=0x984abc0, e=0xbf9db4cc) at kernel/qobject.cpp:1082
#60 0xb6a52bcc in QApplicationPrivate::notify_helper (this=0x93fbe50, receiver=0x984abc0, e=0xbf9db4cc) at kernel/qapplication.cpp:4057
#61 0xb6a5aede in QApplication::notify (this=0xbf9def9c, receiver=0x984abc0, e=0xbf9db4cc) at kernel/qapplication.cpp:3604
#62 0xb758be8d in KApplication::notify (this=0xbf9def9c, receiver=0x984abc0, event=0xbf9db4cc) at /build/buildd/kde4libs-4.2.90/kdeui/kernel/kapplication.cpp:302
#63 0xb7fb77ab in QCoreApplication::notifyInternal (this=0xbf9def9c, receiver=0x984abc0, event=0xbf9db4cc) at kernel/qcoreapplication.cpp:610
#64 0xb7fe6b31 in QTimerInfoList::activateTimers (this=0x93fe89c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#65 0xb7fe3280 in timerSourceDispatch (source=0x93fe868) at kernel/qeventdispatcher_glib.cpp:164
#66 0xb6605b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#67 0xb66090eb in ?? () from /usr/lib/libglib-2.0.so.0
#68 0xb6609268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#69 0xb7fe31d8 in QEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080183224}) at kernel/qeventdispatcher_glib.cpp:324
#70 0xb6af4765 in QGuiEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080183176}) at kernel/qguieventdispatcher_glib.cpp:202
#71 0xb7fb5dda in QEventLoop::processEvents (this=0xbf9db6ec, flags={i = -1080183112}) at kernel/qeventloop.cpp:149
#72 0xb7fb621a in QEventLoop::exec (this=0xbf9db6ec, flags={i = -1080183052}) at kernel/qeventloop.cpp:200
#73 0xb6f70e13 in QDialog::exec (this=0xbf9db898) at dialogs/qdialog.cpp:498
#74 0xb34d21b6 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#75 0xb34d3393 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#76 0xb7fcda58 in QMetaObject::activate (sender=0x983e768, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3120
#77 0xb7fce6e2 in QMetaObject::activate (sender=0x983e768, m=0xb80a9908, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
#78 0xb7fd2e57 in QSingleShotTimer::timeout (this=0x983e768) at .moc/release-shared/qtimer.moc:76
#79 0xb7fd2f7c in QSingleShotTimer::timerEvent (this=0x983e768) at kernel/qtimer.cpp:298
#80 0xb7fc7f0f in QObject::event (this=0x983e768, e=0xbf9dbffc) at kernel/qobject.cpp:1082
#81 0xb6a52bcc in QApplicationPrivate::notify_helper (this=0x93fbe50, receiver=0x983e768, e=0xbf9dbffc) at kernel/qapplication.cpp:4057
#82 0xb6a5aede in QApplication::notify (this=0xbf9def9c, receiver=0x983e768, e=0xbf9dbffc) at kernel/qapplication.cpp:3604
#83 0xb758be8d in KApplication::notify (this=0xbf9def9c, receiver=0x983e768, event=0xbf9dbffc) at /build/buildd/kde4libs-4.2.90/kdeui/kernel/kapplication.cpp:302
#84 0xb7fb77ab in QCoreApplication::notifyInternal (this=0xbf9def9c, receiver=0x983e768, event=0xbf9dbffc) at kernel/qcoreapplication.cpp:610
#85 0xb7fe6b31 in QTimerInfoList::activateTimers (this=0x93fe89c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#86 0xb7fe3280 in timerSourceDispatch (source=0x93fe868) at kernel/qeventdispatcher_glib.cpp:164
#87 0xb6605b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#88 0xb66090eb in ?? () from /usr/lib/libglib-2.0.so.0
#89 0xb6609268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#90 0xb7fe31d8 in QEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080180360}) at kernel/qeventdispatcher_glib.cpp:324
#91 0xb6af4765 in QGuiEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080180312}) at kernel/qguieventdispatcher_glib.cpp:202
#92 0xb7fb5dda in QEventLoop::processEvents (this=0xbf9dc21c, flags={i = -1080180248}) at kernel/qeventloop.cpp:149
#93 0xb7fb621a in QEventLoop::exec (this=0xbf9dc21c, flags={i = -1080180188}) at kernel/qeventloop.cpp:200
#94 0xb6f70e13 in QDialog::exec (this=0xbf9dc3c8) at dialogs/qdialog.cpp:498
#95 0xb34d21b6 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#96 0xb34d3393 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#97 0xb7fcda58 in QMetaObject::activate (sender=0x9825580, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3120
#98 0xb7fce6e2 in QMetaObject::activate (sender=0x9825580, m=0xb80a9908, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
#99 0xb7fd2e57 in QSingleShotTimer::timeout (this=0x9825580) at .moc/release-shared/qtimer.moc:76
#100 0xb7fd2f7c in QSingleShotTimer::timerEvent (this=0x9825580) at kernel/qtimer.cpp:298
#101 0xb7fc7f0f in QObject::event (this=0x9825580, e=0xbf9dcb2c) at kernel/qobject.cpp:1082
#102 0xb6a52bcc in QApplicationPrivate::notify_helper (this=0x93fbe50, receiver=0x9825580, e=0xbf9dcb2c) at kernel/qapplication.cpp:4057
#103 0xb6a5aede in QApplication::notify (this=0xbf9def9c, receiver=0x9825580, e=0xbf9dcb2c) at kernel/qapplication.cpp:3604
#104 0xb758be8d in KApplication::notify (this=0xbf9def9c, receiver=0x9825580, event=0xbf9dcb2c) at /build/buildd/kde4libs-4.2.90/kdeui/kernel/kapplication.cpp:302
#105 0xb7fb77ab in QCoreApplication::notifyInternal (this=0xbf9def9c, receiver=0x9825580, event=0xbf9dcb2c) at kernel/qcoreapplication.cpp:610
#106 0xb7fe6b31 in QTimerInfoList::activateTimers (this=0x93fe89c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#107 0xb7fe3280 in timerSourceDispatch (source=0x93fe868) at kernel/qeventdispatcher_glib.cpp:164
#108 0xb6605b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#109 0xb66090eb in ?? () from /usr/lib/libglib-2.0.so.0
#110 0xb6609268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#111 0xb7fe31d8 in QEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080177496}) at kernel/qeventdispatcher_glib.cpp:324
#112 0xb6af4765 in QGuiEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080177448}) at kernel/qguieventdispatcher_glib.cpp:202
#113 0xb7fb5dda in QEventLoop::processEvents (this=0xbf9dcd4c, flags={i = -1080177384}) at kernel/qeventloop.cpp:149
#114 0xb7fb621a in QEventLoop::exec (this=0xbf9dcd4c, flags={i = -1080177324}) at kernel/qeventloop.cpp:200
#115 0xb6f70e13 in QDialog::exec (this=0xbf9dcef8) at dialogs/qdialog.cpp:498
#116 0xb34d21b6 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#117 0xb34d3393 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#118 0xb7fcda58 in QMetaObject::activate (sender=0x964bdb0, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3120
#119 0xb7fce6e2 in QMetaObject::activate (sender=0x964bdb0, m=0xb80a9908, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
#120 0xb7fd2e57 in QSingleShotTimer::timeout (this=0x964bdb0) at .moc/release-shared/qtimer.moc:76
#121 0xb7fd2f7c in QSingleShotTimer::timerEvent (this=0x964bdb0) at kernel/qtimer.cpp:298
#122 0xb7fc7f0f in QObject::event (this=0x964bdb0, e=0xbf9dd65c) at kernel/qobject.cpp:1082
#123 0xb6a52bcc in QApplicationPrivate::notify_helper (this=0x93fbe50, receiver=0x964bdb0, e=0xbf9dd65c) at kernel/qapplication.cpp:4057
#124 0xb6a5aede in QApplication::notify (this=0xbf9def9c, receiver=0x964bdb0, e=0xbf9dd65c) at kernel/qapplication.cpp:3604
#125 0xb758be8d in KApplication::notify (this=0xbf9def9c, receiver=0x964bdb0, event=0xbf9dd65c) at /build/buildd/kde4libs-4.2.90/kdeui/kernel/kapplication.cpp:302
#126 0xb7fb77ab in QCoreApplication::notifyInternal (this=0xbf9def9c, receiver=0x964bdb0, event=0xbf9dd65c) at kernel/qcoreapplication.cpp:610
#127 0xb7fe6b31 in QTimerInfoList::activateTimers (this=0x93fe89c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#128 0xb7fe3280 in timerSourceDispatch (source=0x93fe868) at kernel/qeventdispatcher_glib.cpp:164
#129 0xb6605b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#130 0xb66090eb in ?? () from /usr/lib/libglib-2.0.so.0
#131 0xb6609268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#132 0xb7fe31d8 in QEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080174632}) at kernel/qeventdispatcher_glib.cpp:324
#133 0xb6af4765 in QGuiEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080174584}) at kernel/qguieventdispatcher_glib.cpp:202
#134 0xb7fb5dda in QEventLoop::processEvents (this=0xbf9dd87c, flags={i = -1080174520}) at kernel/qeventloop.cpp:149
#135 0xb7fb621a in QEventLoop::exec (this=0xbf9dd87c, flags={i = -1080174460}) at kernel/qeventloop.cpp:200
#136 0xb6f70e13 in QDialog::exec (this=0xbf9dda28) at dialogs/qdialog.cpp:498
#137 0xb34d21b6 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#138 0xb34d3393 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#139 0xb7fcda58 in QMetaObject::activate (sender=0x9685ba0, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3120
#140 0xb7fce6e2 in QMetaObject::activate (sender=0x9685ba0, m=0xb80a9908, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
#141 0xb7fd2e57 in QSingleShotTimer::timeout (this=0x9685ba0) at .moc/release-shared/qtimer.moc:76
#142 0xb7fd2f7c in QSingleShotTimer::timerEvent (this=0x9685ba0) at kernel/qtimer.cpp:298
#143 0xb7fc7f0f in QObject::event (this=0x9685ba0, e=0xbf9de18c) at kernel/qobject.cpp:1082
#144 0xb6a52bcc in QApplicationPrivate::notify_helper (this=0x93fbe50, receiver=0x9685ba0, e=0xbf9de18c) at kernel/qapplication.cpp:4057
#145 0xb6a5aede in QApplication::notify (this=0xbf9def9c, receiver=0x9685ba0, e=0xbf9de18c) at kernel/qapplication.cpp:3604
#146 0xb758be8d in KApplication::notify (this=0xbf9def9c, receiver=0x9685ba0, event=0xbf9de18c) at /build/buildd/kde4libs-4.2.90/kdeui/kernel/kapplication.cpp:302
#147 0xb7fb77ab in QCoreApplication::notifyInternal (this=0xbf9def9c, receiver=0x9685ba0, event=0xbf9de18c) at kernel/qcoreapplication.cpp:610
#148 0xb7fe6b31 in QTimerInfoList::activateTimers (this=0x93fe89c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#149 0xb7fe3280 in timerSourceDispatch (source=0x93fe868) at kernel/qeventdispatcher_glib.cpp:164
#150 0xb6605b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#151 0xb66090eb in ?? () from /usr/lib/libglib-2.0.so.0
#152 0xb6609268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#153 0xb7fe31d8 in QEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080171768}) at kernel/qeventdispatcher_glib.cpp:324
#154 0xb6af4765 in QGuiEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080171720}) at kernel/qguieventdispatcher_glib.cpp:202
#155 0xb7fb5dda in QEventLoop::processEvents (this=0xbf9de3ac, flags={i = -1080171656}) at kernel/qeventloop.cpp:149
#156 0xb7fb621a in QEventLoop::exec (this=0xbf9de3ac, flags={i = -1080171596}) at kernel/qeventloop.cpp:200
#157 0xb6f70e13 in QDialog::exec (this=0xbf9de558) at dialogs/qdialog.cpp:498
#158 0xb34d21b6 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#159 0xb34d3393 in ?? () from /usr/lib/kde4/kded_kpasswdserver.so
#160 0xb7fcda58 in QMetaObject::activate (sender=0x9670258, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3120
#161 0xb7fce6e2 in QMetaObject::activate (sender=0x9670258, m=0xb80a9908, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
#162 0xb7fd2e57 in QSingleShotTimer::timeout (this=0x9670258) at .moc/release-shared/qtimer.moc:76
#163 0xb7fd2f7c in QSingleShotTimer::timerEvent (this=0x9670258) at kernel/qtimer.cpp:298
#164 0xb7fc7f0f in QObject::event (this=0x9670258, e=0xbf9decbc) at kernel/qobject.cpp:1082
#165 0xb6a52bcc in QApplicationPrivate::notify_helper (this=0x93fbe50, receiver=0x9670258, e=0xbf9decbc) at kernel/qapplication.cpp:4057
#166 0xb6a5aede in QApplication::notify (this=0xbf9def9c, receiver=0x9670258, e=0xbf9decbc) at kernel/qapplication.cpp:3604
#167 0xb758be8d in KApplication::notify (this=0xbf9def9c, receiver=0x9670258, event=0xbf9decbc) at /build/buildd/kde4libs-4.2.90/kdeui/kernel/kapplication.cpp:302
#168 0xb7fb77ab in QCoreApplication::notifyInternal (this=0xbf9def9c, receiver=0x9670258, event=0xbf9decbc) at kernel/qcoreapplication.cpp:610
#169 0xb7fe6b31 in QTimerInfoList::activateTimers (this=0x93fe89c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#170 0xb7fe3280 in timerSourceDispatch (source=0x93fe868) at kernel/qeventdispatcher_glib.cpp:164
#171 0xb6605b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#172 0xb66090eb in ?? () from /usr/lib/libglib-2.0.so.0
#173 0xb6609268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#174 0xb7fe31d8 in QEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080168904}) at kernel/qeventdispatcher_glib.cpp:324
#175 0xb6af4765 in QGuiEventDispatcherGlib::processEvents (this=0x93fbe30, flags={i = -1080168856}) at kernel/qguieventdispatcher_glib.cpp:202
#176 0xb7fb5dda in QEventLoop::processEvents (this=0xbf9deee0, flags={i = -1080168792}) at kernel/qeventloop.cpp:149
#177 0xb7fb621a in QEventLoop::exec (this=0xbf9deee0, flags={i = -1080168728}) at kernel/qeventloop.cpp:200
#178 0xb7fb86c9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#179 0xb6a52a47 in QApplication::exec () at kernel/qapplication.cpp:3526
#180 0xb5dadd30 in kdemain (argc=1, argv=0x93d4460) at /build/buildd/kde4libs-4.2.90/kded/kded.cpp:938
#181 0x0804e1c0 in launch (argc=1, _name=0x80513f2 "kded4", args=0x0, cwd=0x0, envc=0, envs=0x0, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x80512d0 "0")
    at /build/buildd/kde4libs-4.2.90/kinit/kinit.cpp:671
#182 0x0804fd5d in main (argc=2, argv=0xbf9df4a4, envp=0xbf9df4b0) at /build/buildd/kde4libs-4.2.90/kinit/kinit.cpp:1730

Reported using DrKonqi
Comment 1 Dario Andres 2009-06-30 18:30:18 UTC
I wonder if this could be related to bug 192525.
Thanks
Comment 2 Dawit Alemayehu 2011-04-24 19:51:34 UTC
Git commit 5bc40921e72dd26e2228145b03591a9feb675666 by Dawit Alemayehu.
Committed on 24/04/2011 at 19:41.
Pushed by adawit into branch 'KDE/4.6'.

Implemented the required copy constructor and assignment operator for ExtraFields since it used
in a Qt container (QMap).

CCBUG: 256712
CCBUG: 198396

M  +22   -8    kio/kio/authinfo.cpp     
M  +3    -2    kio/kio/authinfo.h     

http://commits.kde.org/kdelibs/5bc40921e72dd26e2228145b03591a9feb675666
Comment 3 Dawit Alemayehu 2011-04-24 19:53:02 UTC
Git commit dd869f1ac4ab1734f5f30cdfbb806c855890c042 by Dawit Alemayehu.
Committed on 24/04/2011 at 19:41.
Pushed by adawit into branch 'master'.

Implemented the required copy constructor and assignment operator for ExtraFields since it used
in a Qt container (QMap).

CCBUG: 256712
CCBUG: 198396

  (cherry picked from commit 7e3b712fd7584df70eaa4e247658fd91a1fdf9eb)

M  +22   -8    kio/kio/authinfo.cpp     
M  +3    -2    kio/kio/authinfo.h     

http://commits.kde.org/kdelibs/dd869f1ac4ab1734f5f30cdfbb806c855890c042
Comment 4 Dawit Alemayehu 2012-05-12 15:44:29 UTC
Is this still an issue in more recent versions of KDE, v4.8 or higher ?
Comment 5 Dawit Alemayehu 2014-06-10 03:45:06 UTC
This should no longer happen since multiple authorization dialogs will not be launched for the same process by the password server. If this is still an issue with the latest version of KDE, v4.13 or higher, feel free to reopen this bug report.